# TMCHashCommon< Key, T > Class Template Reference

Inheritance diagram for TMCHashCommon< Key, T >:

List of all members.

## Public Types
typedef Key | TKeyType
## Public Member Functions
| TMCHashCommon (uint32 size)
| ~TMCHashCommon ()
virtual boolean | SetElemSpace (const uint32 n)
T & | operator[] (uint32 i)
uint32 | GetElemCount (void) const
virtual void | ResetDatas ()
## Protected Member Functions
virtual boolean | AreKeysEqual (const TKeyType &key1, const TKeyType &key2) const
virtual uint32 | HashFunction (const TKeyType &key) const
const TMCArray< uint32 > * | GetElemArray (const TKeyType &key) const
TMCArray< uint32 > * | GetElemArray (const TKeyType &key)
## Protected Attributes
uint32 | fSize
TMCPtrArray< TMCArray< uint32 > > | fHashTable
TMCClassArray< T > | fHashData

### template<class Key, class T>
class TMCHashCommon< Key, T >

## Member Typedef Documentation

template<class Key, class T>

typedef Key TMCHashCommon< Key, T >::TKeyType

## Constructor & Destructor Documentation

template<class Key , class T >

TMCHashCommon< Key, T >::TMCHashCommon | ( | uint32 | size | ) | `[inline]`

template<class Key , class T >

TMCHashCommon< Key, T >::~TMCHashCommon | ( |  | ) | `[inline]`

## Member Function Documentation

template<class Key, class T>

virtual boolean TMCHashCommon< Key, T >::AreKeysEqual | ( | const TKeyType & | key1,
|  | const TKeyType & | key2 |
| ) |  |  | const`[inline, protected, virtual]`

template<class Key, class T>

TMCArray<uint32>* TMCHashCommon< Key, T >::GetElemArray | ( | const TKeyType & | key | ) | `[inline, protected]`

template<class Key, class T>

const TMCArray<uint32>* TMCHashCommon< Key, T >::GetElemArray | ( | const TKeyType & | key | ) | const`[inline, protected]`

template<class Key, class T>

uint32 TMCHashCommon< Key, T >::GetElemCount | ( | void |  | ) | const`[inline]`

template<class Key , class T >

uint32 TMCHashCommon< Key, T >::HashFunction | ( | const TKeyType & | key | ) | const`[inline, protected, virtual]`

template<class Key, class T>

T& TMCHashCommon< Key, T >::operator[] | ( | uint32 | i | ) | `[inline]`

template<class Key, class T>

virtual void TMCHashCommon< Key, T >::ResetDatas | ( |  | ) | `[inline, virtual]`

Reimplemented in TMCHashMap< Key, T >.

template<class Key , class T >

boolean TMCHashCommon< Key, T >::SetElemSpace | ( | const uint32 | n | ) | `[inline, virtual]`

Reimplemented in TMCHashMap< Key, T >.

## Member Data Documentation

template<class Key, class T>

TMCClassArray<T> TMCHashCommon< Key, T >::fHashData`[protected]`

template<class Key, class T>

TMCPtrArray< TMCArray<uint32> > TMCHashCommon< Key, T >::fHashTable`[protected]`

template<class Key, class T>

uint32 TMCHashCommon< Key, T >::fSize`[protected]`

The documentation for this class was generated from the following file:

- MCHash.h